# Uses of Interface
org.eclipse.core.resources.ICommand

Packages that use ICommand
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.

## Uses of ICommand in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return ICommand
Modifier and Type
Method
Description
`ICommand[]`
IProjectDescription.`getBuildSpec()`
Returns the list of build commands to run when building the described project.
`final ICommand`
IncrementalProjectBuilder.`getCommand()`
Returns the build command associated with this builder.
`ICommand`
IProjectDescription.`newCommand()`
Returns a new build command.
Methods in org.eclipse.core.resources with parameters of type ICommand
Modifier and Type
Method
Description
`void`
IProjectDescription.`setBuildSpec(ICommand[] buildSpec)`
Sets the list of build command to run when building the described project.